cavepacker(6)

NAME
cavepacker - Sokoban game

SYNOPSIS

cavepacker [option]

DESCRIPTION
cavepacker CavePacker is a sokoban game. Keep your cave tidy. To do this, make sure that all the spread packages are put onto their targets. You can only push, pulling is not allowed.

You get higher ratings for lesser moves you need. The first few maps might be easy to solve - but the more you progress in the game, the harder the maps will be.

There is also a multiplayer mode available.

OPTIONS

-server
    Start the server for the game (headless mode).

-set <varname> <value>
    Change the value of a config variable.

CONSOLE COMMANDS
Open the in-game console with SHIFT+ESC. Just type a config variable name there to get the current value. The console commands can also be triggered from the commandline by just putting a - in front of it.

-loglevel <LEVEL>
    Possible level values are: TRACE, DEBUG, INFO, WARN, ERROR

CONFIG VARIABLES
These variables can be modified by using the -set command - or by providing default values for some of them in the config.lua file in the asset directory. You can override any file by putting it into the same subdir as in your installation folder into ~/.local/share/cavepacker

alreadyrated

blue

debug

debugSleep

debugentity

debugui

editor-lastmap

forcefingercontrol

fpslimit

frontend
    Change the rendering frontend that is used by the game. Possible values are: sdl, opengl and opengles2

fullscreen
    Set to false to start in windowed mode - also see width and height vars.

gamecontroller

gamecontrollertriggeraxis

googleplaystate

grabmouse

green

height
    -1 will pick the desktop height

language

launchcount

maxzoom

minzoom

mode

mousespeed

musicvolume

name
    The user name that is used in multiplayer games

ncurses
    If you start in headless mode via -server you can disable the ncurses interface by setting this to false

network

particles

persister

port

red

renderer
    If you have frontend set to sdl, you can change the renderer that sdl is using. Refer to the SDL documentation for a list of valid options here.

rendertotexture

servername

showcursor

showfps

solvestepmillis

sound

soundengine

testpayment

testscreenpadding

texturesize

volume

vsync

width
    -1 will pick the desktop width

HOMEPAGE
http://www.caveproductions.org

COPYRIGHT
Copyright © 2014-2016 by Martin Gerhardy. Source code licensed under GPL3 - assets under CC-BY-SA 3.0.